Subject: Re: pilot-link and debugers
From: Christopher Faylor <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Thu, 1 Mar 2001 11:43:27 -0500

On Thu, Mar 01, 2001 at 10:28:25AM +0000, Fennec Keeprog wrote:
>I would like to know if anyone ever tried to compile pilot- link with
>cygwin?  I've tried and it seems to work well (with few warnings ...)
>in fact it works well and i can acces files and do other things ...
>but on some functions (like saving things to files) it make a
>segmentation fault.  I found with gdb that it was on a simple
>free(thing) but...

This is usually a symptom of a program bug.  Some versions of malloc/free
are forgiving of this kind scenario:

a = malloc (20);
.
.
.
free (a);
.
.
.
free (a);

The double free is wrong and Cygwin's version of malloc will have problems
with this.

cgf

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple